#ifndef _SYSCALLS_H
#define _SYSCALLS_H

#define SYS__exit	0
#define SYS_read	1
#define SYS_write	2
#define SYS_open	3
#define SYS_close	4
#define SYS_creat	5
#define SYS_link	6
#define SYS_unlink	7
#define SYS_execve	8
#define SYS_chdir	9
#define SYS_fchdir	10
#define SYS_utimes	11
#define SYS_mknod	12
#define SYS_chmod	13
#define SYS_chown	14
#define SYS_lseek	15
#define SYS_getpid	16
#define SYS_getppid	17
#define SYS_mount	18
#define SYS_umount	19
#define SYS_setuid	20
#define SYS_getuid	21
#define SYS_geteuid	22
#define SYS_ptrace	23
#define SYS_access	24
#define SYS_sync	25
#define SYS_fsync	26
#define SYS_fdatasync	27
#define SYS_kill	28
#define SYS_rename	29
#define SYS_mkdir	30
#define SYS_rmdir	31
#define SYS_dup	32
#define SYS_pipe	33
#define SYS_times	34
#define SYS_brk	35
#define SYS_sbrk	36
#define SYS_setgid	37
#define SYS_getgid	38
#define SYS_getegid	39
#define SYS_acct	40
#define SYS_ioctl	41
#define SYS_fcntl	42
#define SYS_umask	43
#define SYS_chroot	44
#define SYS_ustat	45
#define SYS_dup2	46
#define SYS_setreuid	47
#define SYS_setregid	48
#define SYS_getresuid	49
#define SYS_setresuid	50
#define SYS_getresgid	51
#define SYS_setresgid	52
#define SYS_getgroups	53
#define SYS_setgroups	54
#define SYS_getpgid	55
#define SYS_setpgid	56
#define SYS_setsid	57
#define SYS_getsid	58
#define SYS_sethostname	59
#define SYS_setrlimit	60
#define SYS_getrlimit	61
#define SYS_getrusage	62
#define SYS_gettimeofday	63
#define SYS_settimeofday	64
#define SYS_select	65
#define SYS_poll	66
#define SYS_symlink	67
#define SYS_readlink	68
#define SYS_uselib	69
#define SYS_swapon	70
#define SYS_swapoff	71
#define SYS_reboot	72
#define SYS_truncate	73
#define SYS_ftruncate	74
#define SYS_fchmod	75
#define SYS_fchown	76
#define SYS_getpriority	77
#define SYS_setpriority	78
#define SYS_statfs	79
#define SYS_fstatfs	80
#define SYS_gettid	81
#define SYS_semget	82
#define SYS_semop	83
#define SYS_semctl	84
#define SYS_msgget	85
#define SYS_msgsnd	86
#define SYS_msgrcv	87
#define SYS_msgctl	88
#define SYS_shmget	89
#define SYS_shmat	90
#define SYS_shmdt	91
#define SYS_shmctl	92
#define SYS_syslog	93
#define SYS_setitimer	94
#define SYS_getitimer	95
#define SYS_vhangup	96
#define SYS_lchown	97
#define SYS_wait4	98
#define SYS_sysinfo	99
#define SYS_clone	100
#define SYS_setdomainname	101
#define SYS_uname	102
#define SYS_adjtimex	103
#define SYS_create_module	104
#define SYS_init_module	105
#define SYS_delete_module	106
#define SYS_get_kernel_syms	107
#define SYS_query_module	108
#define SYS_quotactl	109
#define SYS_bdflush	110
#define SYS_sysfs	111
#define SYS_personality	112
#define SYS_afs_syscall	113
#define SYS_setfsuid	114
#define SYS_setfsgid	115
#define SYS_getdents	116
#define SYS_flock	117
#define SYS_readv	118
#define SYS_writev	119
#define SYS_pread	120
#define SYS_pwrite	121
#define SYS__sysctl	122
#define SYS_mmap	123
#define SYS_munmap	124
#define SYS_mlock	125
#define SYS_mlockall	126
#define SYS_mprotect	127
#define SYS_mremap	128
#define SYS_msync	129
#define SYS_munlock	130
#define SYS_munlockall	131
#define SYS_sched_getparam	132
#define SYS_sched_setparam	133
#define SYS_sched_getscheduler	134
#define SYS_sched_setscheduler	135
#define SYS_sched_yield	136
#define SYS_sched_get_priority_max	137
#define SYS_sched_get_priority_min	138
#define SYS_sched_rr_get_interval	139
#define SYS_nanosleep	140
#define SYS_nfsservctl	141
#define SYS_prctl	142
#define SYS_mmap2	143
#define SYS_pciconfig_read	144
#define SYS_pciconfig_write	145
#define SYS_perfmonctl	146
#define SYS_sigaltstack	147
#define SYS_rt_sigaction	148
#define SYS_rt_sigpending	149
#define SYS_rt_sigprocmask	150
#define SYS_rt_sigqueueinfo	151
#define SYS_rt_sigreturn	152
#define SYS_rt_sigsuspend	153
#define SYS_rt_sigtimedwait	154
#define SYS_getcwd	155
#define SYS_capget	156
#define SYS_capset	157
#define SYS_sendfile	158
#define SYS_getpmsg	159
#define SYS_putpmsg	160
#define SYS_socket	161
#define SYS_bind	162
#define SYS_connect	163
#define SYS_listen	164
#define SYS_accept	165
#define SYS_getsockname	166
#define SYS_getpeername	167
#define SYS_socketpair	168
#define SYS_send	169
#define SYS_sendto	170
#define SYS_recv	171
#define SYS_recvfrom	172
#define SYS_shutdown	173
#define SYS_setsockopt	174
#define SYS_getsockopt	175
#define SYS_sendmsg	176
#define SYS_recvmsg	177
#define SYS_pivot_root	178
#define SYS_mincore	179
#define SYS_madvise	180
#define SYS_stat	181
#define SYS_lstat	182
#define SYS_fstat	183
#define SYS_clone2	184
#define SYS_getdents64	185
#define SYS_getunwind	186
#define SYS_readahead	187

#ifndef _ASSEMBLER

extern long _syscall(long, ...);

#endif /* _ASSEMBLER */

#ifdef _EMULATOR

extern U64 do_syscall(void);

#endif /* _EMULATOR */

#endif /* _SYSCALLS_H */
